Subject: Re: Autodiscovery of git repositories from HTML

From: Jakub Narebski <[email-masked]>
Date: Tue, 27 Oct 2009 06:28:27 -0700 (PDT)

Thomas Thurman <[email-masked]> writes:

> I have a web page which lives in a git repository so that it can be 
> easily mirrored.  I would like to use a "rel" link to the URL of the git 
> repository so that it can be automatically discovered, like an RSS feed:
> 
> <link rel="alternate" type="???" href="http://example.com/.git"/>
> 
> Is there any existing convention as to what the type should be?
> Note that this isn't necessarily the same question as what a git 
> repository should be served as over HTTP: the Universal Edit Button uses 
> a dummy MIME type of "application/x-wiki".

See proposal at http://joey.kitenet.net/rfc/rel-vcs/
(which use 'rel' microformat, rather than 'type' microformat).

-- 
Jakub Narebski
Poland
ShadeHawk on #git